Package org.kapott.hbci.sepa.jaxb.camt_052_001_07

## Class CashAvailability1

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_07.CashAvailability1

    public class CashAvailability1
    extends java.lang.Object

Java class for CashAvailability1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CashAvailability1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Dt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}CashAvailabilityDate1Choice"/>
             <element name="Amt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}ActiveOrHistoricCurrencyAndAmount"/>
             <element name="CdtDbtInd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}CreditDebitCode"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected ActiveOrHistoricCurrencyAndAmount` `amt`
`protected CreditDebitCode` `cdtDbtInd`
`protected CashAvailabilityDate1Choice` `dt`

### Constructor Summary

Constructors
`CashAvailability1()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ActiveOrHistoricCurrencyAndAmount` `getAmt()` Gets the value of the amt property.
`CreditDebitCode` `getCdtDbtInd()` Gets the value of the cdtDbtInd property.
`CashAvailabilityDate1Choice` `getDt()` Gets the value of the dt property.
`void` `setAmt​(ActiveOrHistoricCurrencyAndAmount value)` Sets the value of the amt property.
`void` `setCdtDbtInd​(CreditDebitCode value)` Sets the value of the cdtDbtInd property.
`void` `setDt​(CashAvailabilityDate1Choice value)` Sets the value of the dt property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### dt

    protected CashAvailabilityDate1Choice dt

#### amt

    protected ActiveOrHistoricCurrencyAndAmount amt

#### cdtDbtInd

    protected CreditDebitCode cdtDbtInd

### Constructor Detail

#### CashAvailability1

    public CashAvailability1()

### Method Detail

#### getDt

    public CashAvailabilityDate1Choice getDt()

Gets the value of the dt property.

Returns:
  possible object is `CashAvailabilityDate1Choice`

#### setDt

    public void setDt​(CashAvailabilityDate1Choice value)

Sets the value of the dt property.

Parameters:
  `value` - allowed object is `CashAvailabilityDate1Choice`

#### getAmt

    public ActiveOrHistoricCurrencyAndAmount getAmt()

Gets the value of the amt property.

Returns:
  possible object is `ActiveOrHistoricCurrencyAndAmount`

#### setAmt

    public void setAmt​(ActiveOrHistoricCurrencyAndAmount value)

Sets the value of the amt property.

Parameters:
  `value` - allowed object is `ActiveOrHistoricCurrencyAndAmount`

#### getCdtDbtInd

    public CreditDebitCode getCdtDbtInd()

Gets the value of the cdtDbtInd property.

Returns:
  possible object is `CreditDebitCode`

#### setCdtDbtInd

    public void setCdtDbtInd​(CreditDebitCode value)

Sets the value of the cdtDbtInd property.

Parameters:
  `value` - allowed object is `CreditDebitCode`